{
  description = "Nix config entry point";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-24.05";
    nixpkgs-unstable.url = "github:nixos/nixpkgs/nixos-unstable";
    # probably home manager at some point
  };

  outputs = { self, nixpkgs, ... }@inputs: {

    nixosConfigurations.spectre-x360-2018 = nixpkgs.lib.nixosSystem {
      system = "x86_64-linux";
      modules = [
        ./machines/spectre-x360-2018/configuration.nix
      ];
    };
  };
}
